//(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)//
// # \author    Luciano Augusto Kruk
// # \web       www.kruk.eng.br
// # \date      2016.11.20
//(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)//

class PLANT
    input  Real force "[N]";
    output Real x     "[m] displacement";
    parameter Real mass = 1 "kg";
    Real v "velocity";

initial equation
    x = 0;
    v = 1;

equation
    v = der(x);
    mass * der(v) = force; /* Newton Law */

end PLANT;
    
//(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)//
