//(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)//
// # \author    Luciano Augusto Kruk
// # \web       www.kruk.eng.br
// # \date      2016.11.20
//(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)(=X=)//

class PID
	parameter Real Kp = 0;
	parameter Real Ki = 0;
	parameter Real Kd = 0;
	input Real u;
	output Real y;

	Real up;
	Real iu;
equation
	up = der(u);
	u = der(iu);

	y = (Kp*u) + (Kd*up) + (Ki*iu);
end PID;

